Allocates enough memory for a required capacity

- « Ds\Queue

- Ds\Queue::capacity »

- PHP Manual
- Ds\Queue
- Allocates enough memory for a required capacity

# Ds\Queue::allocate

(PECL ds >= 1.0.0)

Ds\Queue::allocate — Allocates enough memory for a required capacity

### Description

public Ds\Queue::allocate(int `$capacity`): void

Ensures that enough memory is allocated for a required capacity. This removes the need to reallocate the internal as values are added.

> Note:

> Capacity will always be rounded up to the nearest power of 2.

### Parameters

`capacity`

  The number of values for which capacity should be allocated.

  > Note:

  > Capacity will stay the same if this value is less than or equal to the current capacity.

  > Note:

  > Capacity will always be rounded up to the nearest power of 2.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Queue::allocate() example

    <?php
    $queue = new \Ds\Queue();
    var_dump($queue->capacity());

    $queue->allocate(100);
    var_dump($queue->capacity());
    ?>

The above example will output something similar to:

    int(8)
    int(128)